/public/faqs

Create an FAQ collection

POST
/public/faqs

Create an FAQ collection

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/json

application/json

curl -X POST "https://companion-api.napster.com/public/faqs" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "created": 0,
  "itemsCount": 0,
  "tags": {
    "property1": "string",
    "property2": "string"
  }
}
[
  {
    "code": "string",
    "description": "string",
    "type": "failure",
    "numericType": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}